package kindboxreqservice

import (
	param "git.gocasts.ir/ebhomengo/niki/param/kind_box_req"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) GetAll() (param.KindBoxReqGetAllResponse, error) {
	const op = "kindboxreqservice.GetAll"
	allKindBoxReq, err := s.repo.GetAllKindBoxReq()
	if err != nil {
		return param.KindBoxReqGetAllResponse{}, richerror.New(op).WithErr(err).WithKind(richerror.KindUnexpected)
	}
	return param.KindBoxReqGetAllResponse{AllKindBoxReq: allKindBoxReq}, nil
}
